| Home | Libraries | People | FAQ | More

##### ssl::context::load_verify_file (2 of 2 overloads)

Load a certification authority file for performing verification.

    boost::system::error_code load_verify_file(
        const std::string & filename,
        boost::system::error_code & ec);

This function is used to load the certificates for one or more trusted certification authorities from a file.

###### Parameters

filename

  The name of a file containing certification authority certificates in PEM format.

ec

  Set to indicate what error occurred, if any.

###### Remarks

Calls `SSL_CTX_load_verify_locations`.